# Interface EvmState

#### Hierarchy

- EvmState

- Defined in codec/lib/evm/types.ts:18

#####
Index

### Properties

calldata?
code?
eventdata?
eventtopics?
memory?
returndata?
specials?
stack?
storage

## Properties

### `Optional` calldata

calldata?: Uint8Array

- Defined in codec/lib/evm/types.ts:22

### `Optional` code

code?: Uint8Array

- Defined in codec/lib/evm/types.ts:23

### `Optional` eventdata

eventdata?: Uint8Array

- Defined in codec/lib/evm/types.ts:27

### `Optional` eventtopics

eventtopics?: Uint8Array[]

- Defined in codec/lib/evm/types.ts:28

### `Optional` memory

memory?: Uint8Array

- Defined in codec/lib/evm/types.ts:21

### `Optional` returndata

returndata?: Uint8Array

- Defined in codec/lib/evm/types.ts:29

### `Optional` specials

specials?: {
[builtin: string]: Uint8Array;
}

#### Type declaration

- ##### [builtin: string]: Uint8Array

- Defined in codec/lib/evm/types.ts:24

### `Optional` stack

stack?: Uint8Array[]

- Defined in codec/lib/evm/types.ts:20

### storage

storage: WordMapping

- Defined in codec/lib/evm/types.ts:19

Generated using TypeDoc